#!/bin/ksh

# @(#) spr/delivery/bin/metrica_spradmin.ksh spr_r4.79.0.2:cset.034715:3:3 01/08/04 @(#)
#
#                   COPYRIGHT NOTICE
# 
#  This file remains the intellectual property of:
# 
#                      ADC Metrica
#                     Spencer House
#                     23 Sheen Road
#                  Richmond, Surrey, UK
#
# All rights reserved. Copyright ADC Metrica, 2000 - 2004.


# Wrapper to SPR command line tool 
#


if [ -z "$OSAGENT_PORT" ]; then 
   echo "\$OSAGENT_PORT is not set\n"
   exit 1;
fi

if [ -z "$APPSERVER_DIR" ] ; then 
   echo "\$APPSERVER_DIR is not set\n"
   exit 1;
fi

if [ -z "$METRICA_DIR" ]; then 
   echo "\$METRICA_DIR is not set\n"
   exit 1;
fi

CLASSPATH=$METRICA_DIR/ext/lib/vbjorb.jar
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/asrt.jar
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/vbsec.jar
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/lm.jar
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/xmlrt.jar

CLASSPATH=$CLASSPATH:$METRICA_DIR/SPRegistry/lib/sprcommon.jar
CLASSPATH=$CLASSPATH:$METRICA_DIR/SPRegistry/lib/dbspregistry.jar
CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/exceptionutils.jar

export CLASSPATH

java -DORBagentPort=$OSAGENT_PORT -Xms64m -Xmx128m com.adc.metrica.dbserv.spregistry.ejb.spregistryrequest.Spradmin $*
