#!/bin/ksh
# @(#) CS/delivery/bin/metrica_systemserviceadmin.ksh CS_r4.79.0.3:aset.007392:1:1 01/09/07 @(#)
###############################################################################
#
#                   COPYRIGHT NOTICE
#
#
# metrica_systemserviceadmin
#
# Copyright 2007 by Vallent Technologies. All rights reserved.
#
# This software is the confidential and proprietary information of Vallent
# Technologies. ("Confidential Information"). You shall not disclose such
# Confidential Information and shall use it only in accordance with the terms
# of the license agreement you entered into with Vallent Technologies.
#
#
###############################################################################
#
# Administration shell script for calling garbage collection
#
# Exit Codes:
#     0 = Successful
#     1 = Incorrect syntax
#     2 = Environment variable not set
#     3 = Directory referred to by environment variable does not exist
#     4 = JAR file was not found
#
# Created    09 Jan 2007
# Author     Shane O'Rourke
# Version    CS_r4.79.0.3
#
###############################################################################

CLASSPATH=$METRICA_DIR/ext/lib/vbjorb.jar                                               
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/asrt.jar                                      
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/vbsec.jar                                     
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/lm.jar                                        
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/xmlrt.jar                                     
                                                                                        
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/ifxjdbc.jar                                   
CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/ifxjdbcx.jar                                  
                                                                                                          
CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/exceptionutils.jar  
CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/logservice.jar                                 
CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/systemservice_server.jar                     
CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/systemservice_client.jar                     
                                                                                                                          
export CLASSPATH                                                                        
                                                                                        
java -DORBagentPort=$OSAGENT_PORT -Xms64m -Xmx128m com.adc.metrica.cs.systemservice.client.GarbageClient $*
