create table summariser_config 
  (
    summaryid varchar(60) not null,
    taskid integer not null,
    metalayerdefined boolean not null,
    summarytable lvarchar not null,
    spname lvarchar not null,
    spowner lvarchar not null,
    spdatasource lvarchar not null,
    dependenttables lvarchar not null,
    userdescription lvarchar,
    enabled boolean not null, 
    holdoffperiod integer not null,
    nexttime utime not null,
    summaryset lvarchar,
    retrytimeout integer not null,
    retrydelay integer not null,
    summarydelay integer not null,
    noofretries integer not null,
    earlieststarttime utime,
    latestendtime utime,
    summaryattribute varchar(20) not null
    
  )
 lock mode row;

create unique index summariser_config_idx on summariser_config(summaryid);
create unique index taskid_idx_summariser_config on summariser_config(taskid);





