#!/bin/ksh
# @(#) mleditor/delivery/install/custom/install_preview_templates.ksh mleditor_r4.79.0.3:cset.031682:4:4 08/28/03 @(#)

######################################################################
#
#                   COPYRIGHT NOTICE
#
# This file remains the intellectual property of:
#
#                     ADC Metrica
#                    Spencer House
#                    23 Sheen Road
#                 Richmond, Surrey, UK
#
# All rights reserved. Copyright ADC Metrica, 2002.
#
######################################################################

###############################################################################
#
# Install script for the KPI Designer Preview - load the template into the Report Library Service
#

if [ -f $METRICA_DIR/Reporting/bin/metrica_rlsadmin.ksh ] ; then
  $METRICA_DIR/Reporting/bin/metrica_rlsadmin.ksh -setReport -username user -password pass -xml previewTemplateNoScoping-reportdefinition.xml
  $METRICA_DIR/Reporting/bin/metrica_rlsadmin.ksh -setReport -username user -password pass -xml previewTemplateWithScoping-reportdefinition.xml
  $METRICA_DIR/Reporting/bin/metrica_rlsadmin.ksh -setReport -username user -password pass -xml previewTemplateWithScopingAndGrouping-reportdefinition.xml
fi
if [ "$?" != "0" ] ; then
    echo "Error loading preview report template "
else
  echo "Loaded preview report template"
fi
