#!/bin/ksh
# @(#) reporting/delivery/commandlinetools/install/metrica_rlsadmin.ksh reporting_r4.79.0.4:cset.001476:7:7 03/31/06 @(#)

######################################################################
#
#                   COPYRIGHT NOTICE
#
# This file remains the intellectual property of:
#
#                     ADC Metrica
#                    Spencer House
#                    23 Sheen Road
#                 Richmond, Surrey, UK
#
# All rights reserved. Copyright ADC Metrica, 2002.
#
######################################################################

if [ -z "$OSAGENT_PORT" ]; then 
   echo "\$OSAGENT_PORT is not set\n"
   exit 1;
fi

if [ -z "$APPSERVER_DIR" ] ; then 
   echo "\$APPSERVER_DIR is not set\n"
   exit 1;
fi

if [ -z "$METRICA_DIR" ]; then 
   echo "\$METRICA_DIR is not set\n"
   exit 1;
fi

  CLASSPATH=$METRICA_DIR/ext/lib/xerces.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/vbjorb.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/asrt.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/vbsec.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/lm.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/xmlrt.jar

  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportlibraryservice.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/rlscommandlinetool.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/commandlineutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/xmlutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/datastoreutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportserverstores.jar  
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportserver.jar  
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportingutil.jar  
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportuserdetails.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportparameterdetails.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reporting_reportdefinition.jar
  
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Uiweb/lib/uiweb.jar

  CLASSPATH=$CLASSPATH:$METRICA_DIR/MetaLayer/lib/rmqcommon.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/MetaLayer/lib/mlcommon.jar
    
  CLASSPATH=$CLASSPATH:$METRICA_DIR/DBServices/lib/queryservice_util.jar    
  CLASSPATH=$CLASSPATH:$METRICA_DIR/DBServices/lib/queryservice_requestmanager.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/DBServices/lib/queryservice_xmlejb.jar
  
  CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/exceptionutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/ejbhomefactory.jar

  CLASSPATH=$CLASSPATH:$METRICA_DIR/Security/lib/securityservice.jar

  export CLASSPATH

java -DORBagentPort=$OSAGENT_PORT -Xms20m -Xmx100m com.adc.metrica.reporting.reportservice.reportlibraryservice.commandlinetool.CommandLineTool "$@"
