#!/bin/ksh
# @(#) reporting/delivery/commandlinetools/install/metrica_rtsadmin.ksh reporting_r4.79.0.4:aset.001853:2:1 03/15/04 @(#)

######################################################################
#
#                   COPYRIGHT NOTICE
#
# This file remains the intellectual property of:
#
#                     ADC Metrica
#                    Spencer House
#                    23 Sheen Road
#                 Richmond, Surrey, UK
#
# All rights reserved. Copyright ADC Metrica, 2002.
#
######################################################################

if [ -z "$OSAGENT_PORT" ]; then 
   echo "\$OSAGENT_PORT is not set\n"
   exit 1;
fi

if [ -z "$APPSERVER_DIR" ] ; then 
   echo "\$APPSERVER_DIR is not set\n"
   exit 1;
fi

if [ -z "$METRICA_DIR" ]; then 
   echo "\$METRICA_DIR is not set\n"
   exit 1;
fi

  CLASSPATH=$METRICA_DIR/ext/lib/xerces.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/vbjorb.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/asrt.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/vbsec.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/lm.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/ext/lib/xmlrt.jar

  CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/exceptionutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/CS/lib/ejbhomefactory.jar

  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/commandlineutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/xmlutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/datastoreutils.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reporttreeservicesecurityelements.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reporttreeservicesecuritybackdoor.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reporttreeservice.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/rtscommandlinetool.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportuserdetails.jar
  CLASSPATH=$CLASSPATH:$METRICA_DIR/Reporting/lib/reportparameterdetails.jar

  CLASSPATH=$CLASSPATH:$METRICA_DIR/Uiweb/lib/uiweb.jar

  CLASSPATH=$CLASSPATH:$METRICA_DIR/Security/lib/securityservice.jar

  export CLASSPATH

java -DORBagentPort=$OSAGENT_PORT -Xms20m -Xmx100m com.adc.metrica.reporting.reportservice.reporttreeservice.commandlinetool.CommandLineTool "$@"
